import Codage_ecodage_Huffman as ch
import os
import time
nom_fichier='Applications_codage_Huffman.txt'


alphabetFrancais={'a':67563628,'b':10817171,'c':30219574,'d':34914685,
                  'e':131024205,'f':10579192,'g':11684140,'h':10583562,
                  'i':62672992,'j':3276064,'k':2747547,'l':47171247,
                  'm':24894034,'n':60728196,'o':47724400,'p':23647179,
                  'q':6140307,'r':57656209,'s':61882785,'t':56267109,
                  'u':42698875,'v':10590858,'w':1653435,'x':3588990,
                  'y':4351953,'z':1433913,' ':131024200}

def affichage(mot,fich):
    
    fich.write("Codage semi-adaptatif du mot: ")
    fich.write(mot)
    fich.write("\n")
    fich.write("Table des fréquences : \n")
#    debut=time.time()
    fich.write(str(ch.table_frequences(mot)))
    fich.write("\n")
    fich.write("Arbre d'Huffman : \n")
    table2=ch.arbre_huffman(ch.table_frequences(mot))
    fich.write(str(table2))
    fich.write("\n")
    fich.write("Code binaire des caractères rencontrés : \n")
    fich.write(str(ch.code_huffman(table2)))
    fich.write("\n")
    fich.write("Mot codé en binaire : \n")
    codage2=ch.encodage(mot,ch.code_huffman(table2))    
    fich.write(codage2)
    fich.write("\n")
#    fin=time.time()
#    fich.write("Durée : ")
#    fich.write(str(fin-debut))
    fich.write("\n")
    fich.write("Mot décodé : \n")
    fich.write(ch.decodage(ch.code_huffman(table2),codage2))
    fich.write("\n")
    fich.write("\n")
    
fichier = open(nom_fichier, "w")

affichage('reseaux',fichier)
affichage('abracadabra',fichier)
affichage("J'adore coder et decoder",fichier)

fichier.close()
